Go Back   nV News Forums > Linux Support Forums > NVIDIA Linux

Newegg Daily Deals

Reply
 
Thread Tools
Old 04-06-07, 08:30 AM   #1
darkslack
Registered User
 
Join Date: Apr 2007
Posts: 3
Default can 1.0-7184 support GLX_EXT_texture_from_pixmap?

Hi,all

i get troubles with beryl .....
my system is slackware11.0 with xorg7.1 ,gcc(and glibc*)4.1.2
my video card is RIVA TNT2 Model 64/Model 64 Pro
i installed NVIDIA-Linux-x86-1.0-7184-pkg1.run and beryl*0.2.1(and required
libs)
everything goes well during compiling

but when i start beryl-manager , it comes up
'Checking for GLX_EXT_texture_from_pixmap : failed'

any suggestions?thanks

here are more info:

Detected xserver : NVIDIA

Checking Display :0.0 ...

Checking for XComposite extension : passed (v0.3)
Checking for XDamage extension : passed
Checking for RandR extension : passed
Checking for XSync extension : passed

Checking Screen 0 ...

Checking for GLX_SGIX_fbconfig : passed
Checking for GLX_EXT_texture_from_pixmap : failed

No GLX_EXT_texture_from_pixmap
beryl: Support for non power of two textures missing
beryl: Failed to manage screen: 0
beryl: No manageable screens found on display :0.0
darkslack is offline   Reply With Quote
Old 04-06-07, 10:50 AM   #2
Jarzebski
Registered User
 
Jarzebski's Avatar
 
Join Date: Apr 2006
Posts: 18
Default Re: can 1.0-7184 support GLX_EXT_texture_from_pixmap?

No. GLX_EXT_texture_from_pixmap was added in 1.0-9625
Jarzebski is offline   Reply With Quote
Old 04-06-07, 12:37 PM   #3
darkslack
Registered User
 
Join Date: Apr 2007
Posts: 3
Default Re: can 1.0-7184 support GLX_EXT_texture_from_pixmap?

thanks
but 7184 is the latest version for my tnt2 card
so if i forced 9755-pkg1.run to install ,will it be ok?

thanks a lot
darkslack is offline   Reply With Quote
Old 04-06-07, 12:39 PM   #4
netllama
NVIDIA Corporation
 
Join Date: Dec 2004
Posts: 8,763
Default Re: can 1.0-7184 support GLX_EXT_texture_from_pixmap?

You cannot force the use of 1.0-9755, as it has no support for your GPU.

If you need GLX_EXT_texture_from_pixmap support, you need to use a graphics card which is supported in 1.0-9631 or 1.0-9755.

Thanks,
Lonni
netllama is offline   Reply With Quote
Old 04-07-07, 07:49 AM   #5
darkslack
Registered User
 
Join Date: Apr 2007
Posts: 3
Default Re: can 1.0-7184 support GLX_EXT_texture_from_pixmap?

thanks....
but i'm not gona to buy a new card...........
and i got my tnt2 card support
http://gentoo-wiki.com/HARDWARE_Vide...L#nVidia_Cards

i just dont kown how tnt2 card be support,
darkslack is offline   Reply With Quote
Old 04-07-07, 11:00 AM   #6
piotrq__
Registered User
 
Join Date: Jan 2006
Posts: 193
Default Re: can 1.0-7184 support GLX_EXT_texture_from_pixmap?

You can try XGL, it implements the texture_from_pixmap extension in kinda "software" mode, see how it performs on your Riva ( but with this GPU, it won't be the fastest desktop spinning you've ever seen, I'm afraid). You could invest few bucks in an FX5200, 6200A, or even a used GF 4MX anyway.
piotrq__ is offline   Reply With Quote
Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


Similar Threads
Thread Thread Starter Forum Replies Last Post
Vizio's Co-Star: $99 Google TV box with OnLive gaming support News Archived News Items 0 06-26-12 12:40 PM
Opera 12 arrives with webcam APIs and experimental WebGL support News Archived News Items 0 06-15-12 01:30 AM
Canonical partners with Microsoft to support Ubuntu on Azure News Archived News Items 0 06-08-12 06:20 AM
Remastered Doom 3 BFG Edition Game Coming with Stereo 3D Support News Archived News Items 0 06-01-12 06:30 AM
Official Detonator 40.xx Feedback Thread pelly NVIDIA Windows Graphics Drivers 299 09-22-02 07:54 AM

All times are GMT -5. The time now is 01:02 AM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.